Skip to main content
GET
Get the current sandbox state

Authorizations

Authorization
string
header
required

Long-lived opaque API key minted by an approved user at /api. The secret is shown once, stored only as a SHA-256 digest, and disabled immediately when either the key or its API access grant is revoked.

Path Parameters

sandboxId
string
required
Pattern: ^c_[a-z2-9]{12}$

Response

Current sandbox state and eventually consistent usage

id
string
required
Pattern: ^c_[a-z2-9]{12}$
worktreeId
string
required
read-only
Minimum string length: 1
object
string
required
Allowed value: "sandbox"
status
enum<string>
required
Available options:
queued,
creating,
running,
succeeded,
failed,
terminating,
terminated
title
string
required
repos
object[]
required
model
string | null
required
agentRuntime
enum<string>
required
Available options:
opencode,
codex,
claude,
grok
turn
object
required
usage
object
required
metadata
object
required
error
string | null
required
createdAt
string
required
startedAt
string | null
required
completedAt
string | null
required